Create a virtual card in the campaign identified by its UUID and linked to the customer reference given and loads the card
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| campaignUUID | String | 1-35 characters | ✓ | Indicator for which campaign the card is to be created |
| customerReference | String | 1-255 characters | ✓ | Customer reference linked with this card |
| cardLabel | String | 1-20 characters | ✓ | A string to label the card for the customer’s ease |
| notificationNumber | String | 1-20 characters | ✓ | The contact number for receiving SMS transaction notifications |
| expiryDate | Date | ✓ | The date on which the virtual card should expire | |
| requestAmount | Integer | ✓ | The requested amount to be loaded on the card | |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
Response Parameters
| Field | type | Description |
|---|---|---|
| terminalID | String | Echo |
| campaignUUID | String | Echo |
| customerReference | String | Echo |
| cardLabel | String | Echo |
| notificationNumber | String | Echo |
| trackingNumber | String | The tracking number of the created virtual card. |
| cardNumber | String | The full 16-digit card number |
| cvv2 | String | The CVV2 for the card |
| expiryDate | Date | The expiry date of the created virtual card |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction id number generated by Paymentology |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
